## Apache Zeta Components Manual :: Docs For Class ezcSystemInfoFreeBsdReader

### SystemInformation::ezcSystemInfoFreeBsdReader

### Class ezcSystemInfoFreeBsdReader

Provide functionality to read system information from FreeBSD systems.

Try to scan FreeBSD system parameters on initialization and fill correspondent values.

Source for this file: /SystemInformation/src/readers/freebsd.php

    ezcSystemInfoReader
       |
       --ezcSystemInfoFreeBsdReader

Version: | //autogentag//

### Member Variables

protected int | `$cpuCount = null` Contains the amount of CPUs in system.
protected array(float) | `$cpuSpeed = null` Contains the speed of CPU in MHz for each CPU in system.
protected array(string) | `$cpuType = null` Contains the type of CPU for each CPU in system, the type is taken directly from the OS and can vary a lot.
protected int | `$memorySize = null` Contains the amount of system memory the OS has, the value is in bytes.
protected string | `$readerName = 'FreeBSD system info reader'` Contains string that represents reader in messages and exceptions.

### Method Summary

public ezcSystemInfoFreeBsdReader | `__construct( )` Constructs ezcSystemInfoReader object and fill it with system information.
public float | `cpuSpeed( )` Returns string with CPU speed.
public string | `cpuType( )` Returns string with CPU type.
public int | `getCpuCount( )` Returns count of CPUs in system.
public bool | `isValid( $propertyName )` Returns true if the property $propertyName holds a valid value and false otherwise.
public int | `memorySize( )` Returns memory size in bytes.

### Inherited Methods

From ezcSystemInfoReader
public abstract float | `ezcSystemInfoReader::cpuSpeed()` Returns CPU speed
public abstract string | `ezcSystemInfoReader::cpuType()` Returns string with CPU type.
public abstract int | `ezcSystemInfoReader::getCpuCount()` Returns number of CPUs in system.
public abstract bool | `ezcSystemInfoReader::isValid()` Returns true if the property $propertyName holds a valid value and false otherwise.
public abstract int | `ezcSystemInfoReader::memorySize()` Returns memory size in bytes.

### Methods

#### __construct

ezcSystemInfoFreeBsdReader __construct( )

Constructs ezcSystemInfoReader object and fill it with system information.

##### Exceptions:

Type | Description
--- | ---
`ezcSystemInfoReaderCantScanOSException` | If system variables can't be received from OS.

#### cpuSpeed

float cpuSpeed( )

Returns string with CPU speed.

If the CPU speed could not be read null is returned.

##### Redefinition of:

Method | Description
--- | ---
`ezcSystemInfoReader::cpuSpeed()` | Returns CPU speed

#### cpuType

string cpuType( )

Returns string with CPU type.

If the CPU type could not be read null is returned.

##### Redefinition of:

Method | Description
--- | ---
`ezcSystemInfoReader::cpuType()` | Returns string with CPU type.

#### getCpuCount

int getCpuCount( )

Returns count of CPUs in system.

If the CPU speed could not be read false is returned.

##### Redefinition of:

Method | Description
--- | ---
`ezcSystemInfoReader::getCpuCount()` | Returns number of CPUs in system.

#### isValid

bool isValid( string $propertyName )

Returns true if the property $propertyName holds a valid value and false otherwise.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$propertyName` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcSystemInfoReader::isValid()` | Returns true if the property $propertyName holds a valid value and false otherwise.

#### memorySize

int memorySize( )

Returns memory size in bytes.

If the memory size could not be read null is returned.

##### Redefinition of:

Method | Description
--- | ---
`ezcSystemInfoReader::memorySize()` | Returns memory size in bytes.

Documentation generated by phpDocumentor 1.4.3